head	1.2;
access;
symbols
	RELEASE_5_0_DP1:1.1;
locks; strict;
comment	@# @;


1.2
date	2002.04.09.19.00.48;	author znerd;	state dead;
branches;
next	1.1;

1.1
date	2002.02.21.20.08.30;	author znerd;	state Exp;
branches;
next	;


desc
@@


1.2
log
@This port moved to www/jakarta-tomcat4.
@
text
@#!/bin/sh
#
# Checks if the 'www' user and group exist. If they don't, then
# an attempt is made to create both.
#
# $FreeBSD: ports/www/jakarta-tomcat/pkg-install,v 1.1 2002/02/21 20:08:30 znerd Exp $
#

# Make sure we're called during the 'make install' process
if [ "$2" != "PRE-INSTALL" ]; then
    exit 0
fi

# Set some constants
USER=www
GROUP=${USER}
UID=80
GID=${UID}

# See if the group already exists
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then

	# If not, try to create it
	if pw groupadd ${GROUP} -g ${GID}; then
		echo "Added group \"${GROUP}\"."
	else
		echo "Adding group \"${GROUP}\" failed..."
		exit 1
	fi
fi

# See if the user already exists
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then

	# If not, try to create it
	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
		-s "/sbin/nologin" -d "/nonexistent" \
		-c "World Wide Web Owner"; \
	then
		echo "Added user \"${USER}\"."
	else
		echo "Adding user \"${USER}\" failed..."
		exit 1
	fi
fi
exit 0
@


1.1
log
@Checks for the existence of a 'www' user and group. Forgot to add
this file during the last commit. :-\
@
text
@d6 1
a6 1
# $FreeBSD$
@

